#!/bin/sh
#
# mrim.sh       Mail.ruIM init-script
#
# chkconfig:    2345 76 24
# description:  MRIM daemon
# processname:  mrim.sh
# config:       /etc/ejabberd/mrim.conf
# pidfile:      /var/run/jabber/mrim.pid

# Do not load RH compatibility interface.
#WITHOUT_RC_COMPAT=1

# Source function library.
. /etc/init.d/functions

DAEMON=/usr/bin/mrim.sh
PIDFILE=/var/run/jabber/mrim.pid
LOCKFILE=/var/lock/subsys/mrim
MRIM_CONF=/etc/ejabberd/mrim.conf
RETVAL=0

dstart()
{
    start_daemon
    --lockfile "$LOCKFILE"
    --pidfile "$PIDFILE"
    --user ejabberd
    --name mrim
    --displayname "Mail.ruIM"
    -- daemon -d -c "$MRIM_CONF"
 RETVAL=$?
 return $RETVAL=
}

start()
{
        start_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" --user ejabberd -- $DAEMON -d -c "$MRIM_CONF"
        RETVAL=$?
        return $RETVAL
}

stop()
{
        stop_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" \
        --expect-user ejabberd -- python
        RETVAL=$?
        return $RETVAL
}

restart()
{
        stop
        start
}

# See how we were called.
case "$1" in
  start)
        start
        ;;
  stop)
        stop
        ;;
  restart)
        restart
        ;;
  status)
        status --pidfile "$PIDFILE" --lockfile "$LOCKFILE" \
        --expect-user ejabberd -- python
        RETVAL=$?
        ;;
  *)
        msg_usage "${0##*/} {start|stop|restart|status}"
        RETVAL=1
esac

exit $RETVAL